#include<algorithm>
#include<string>
#include<iostream>
#include<math.h>
#include<iomanip>
using namespace std;
int main()
{
	int n;
	cin >> n;
	double A[200010];
	double P[200010];
	double porez;

	double zbir=0;
	double naj = 0;
	for (int i = 0; i <n; i++)
	{
		cin >> A[i] >> P[i];
	}

	for (int i = 0; i < n; i++)
	{
		zbir = 0;
		porez = P[i];
		for (int j = 0; j < n; j++)
		{
			if (P[j]>=porez)
			{
				zbir += A[j];
			}
			

		}

		zbir= zbir * (P[i]/100);

		if (zbir>naj)
		{
			naj = zbir;
		}
	}
	std::cout << std::setprecision(20) << naj << std::endl;
	return 0;

}